/**
 * Execute whatever you pass only in development (not production)
 */
const inDebug = <T>(callback: () => T): T | null => {
	if (process.env.NODE_ENV === "development") {
		return callback();
	}
	return null;
};

export default inDebug;
